package net.pterodactylus.sone.template;

import java.util.List;
import java.util.Random;

import net.pterodactylus.util.template.Accessor;
import net.pterodactylus.util.template.TemplateContext;

/**
 * {@link Accessor} implementation for {@link List}s that can return a random value from the list.
 *
 * @author <a href="mailto:bombe@pterodactylus.net">David ‘Bombe’ Roden</a>
 */
public class ListAccessor extends net.pterodactylus.util.template.ListAccessor {

	private Random random = new Random();

	@Override
	public Object get(TemplateContext templateContext, Object object, String member) {
		if ("random".equals(member)) {
			List<?> list = (List<?>) object;
			if (!list.isEmpty()) {
				return list.get(random.nextInt(list.size()));
			}
			return null;
		}
		return super.get(templateContext, object, member);
	}

}
